Skip to content

Conference Calls

All operations require authentication.

43 operationsv1/telephony/{billingAccount}
Agent setup

List conference servicesProduction

GET
/1.0/telephony/{billingAccount}/conference

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a conference serviceProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Conferencesuccessful operation
description
read-only
string
—
offers
read-only
string[]
—
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "offers": [ "string" ], "serviceName": "string", "serviceType": "alias"}

Upload the welcome announcementProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/announceUpload

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

documentId
required
string

ID of the /me/document file you want to import

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/announceUpload \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List past conferencesProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/histories

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

dateBegin.from
stringdate-time

Filter the value of dateBegin property (>=)

dateBegin.to
stringdate-time

Filter the value of dateBegin property (<=)

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/histories \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a past conferenceProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/histories/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200ConferenceHistorysuccessful operation
countConnections
read-only
integer

The count of connections to the conference

countParticipants
read-only
integer

The count of unique participants of the conference

dateBegin
read-only
stringdate-time

The date the conference began

dateEnd
read-only
stringdate-time

The date the conference end

duration
read-only
integer

The duration of the conference in seconds

events
read-only
ConferenceHistoryEvent[]

The events of the conference (participants joining/left)

id
read-only
integer

The id of the conference history

recordUrl
read-only
string

The audio record url if you set recording

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/histories/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "countConnections": 0, "countParticipants": 0, "dateBegin": "2024-01-01T12:00:00Z", "dateEnd": "2024-01-01T12:00:00Z", "duration": 0, "events": [ { "callerid": "string", "date": "2024-01-01T12:00:00Z", "type": "string" } ], "id": 0, "recordUrl": "string"}

Get live conference informationProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/informations

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200ConferenceInformationssuccessful operation
dateStart
stringdate-time

The date when the conference began

locked
boolean

Whether or not the conference room is locked

membersCount
integer

The current participants count in your conference room

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/informations \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dateStart": "2024-01-01T12:00:00Z", "locked": true, "membersCount": 0}

Lock the conference roomProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/lock

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/lock \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List participantsProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/participants

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/participants \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a participantProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200ConferenceParticipantssuccessful operation
arrivalDateTime
read-only
stringdate-time

The arrival datetime of the participant in the conference.

callerName
read-only
string

The caller name of the participant

callerNumber
read-only
string

The caller number of the participant

energy
read-only
integer

The current level of the participant audio transmission

floor
read-only
boolean

Whether the participant is active in the room

hear
read-only
boolean

Whether the participant can hear the conference

id
read-only
integer

The id of the participant

speak
read-only
boolean

Whether the participant can talk in the conference

talking
read-only
boolean

Whether the participant is talking

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "arrivalDateTime": "2024-01-01T12:00:00Z", "callerName": "string", "callerNumber": "string", "energy": 0, "floor": true, "hear": true, "id": 0, "speak": true, "talking": true}

Deafen a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/deaf

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/deaf \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Change a participant audio levelProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/energy

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

value
required
integer

The value of energy level

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/energy \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Eject a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/kick

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/kick \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Mute a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/mute

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/mute \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Undeafen a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/undeaf

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/undeaf \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Unmute a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/unmute

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/participants/{id}/unmute \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List conference roomsProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a conference roomProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}

Path parameters

billingAccount
required
string

The name of your billingAccount

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200ConferenceRoomsuccessful operation
announceFile
boolean

Whether announce file is played before entrance

announceFilename
read-only
string

The announce file name

announceSoundId
integer

The announce sound id

anonymousRejection
boolean

Whether anonymous participants are allowed

enterMuted
boolean

Whether participants enter conference room muted

eventsChannel
read-only
string

The events channel hash

expirationDate
stringdate-time

The expiration date of the conference room.

language
ConferenceLanguageEnum

The conference sounds language

Valuesdeenesfrit
pin
stringpassword

The conference pin number

recordStatus
boolean

Whether conference is recorded

reportEmail
string

The email address to send conference report to

reportStatus
ConferenceReportStatusEnum

The status of the reporting

Valuescustomernoneother
roomNumber
read-only
integer

The conference room number

whiteLabelReport
boolean

True if you want to receive a white-labelled mail report of your conference

Example uses billingAccount = string, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "announceFile": true, "announceFilename": "string", "announceSoundId": 0, "anonymousRejection": true, "enterMuted": true, "eventsChannel": "string", "expirationDate": "2024-01-01T12:00:00Z", "language": "de", "pin": "string", "recordStatus": true, "reportEmail": "string", "reportStatus": "customer", "roomNumber": 0, "whiteLabelReport": true}

Create a conference roomProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

roomNumber
integer

The room number (a random number will be generated if not specified)

Response

200ConferenceRoomsuccessful operation
announceFile
boolean

Whether announce file is played before entrance

announceFilename
read-only
string

The announce file name

announceSoundId
integer

The announce sound id

anonymousRejection
boolean

Whether anonymous participants are allowed

enterMuted
boolean

Whether participants enter conference room muted

eventsChannel
read-only
string

The events channel hash

expirationDate
stringdate-time

The expiration date of the conference room.

language
ConferenceLanguageEnum

The conference sounds language

Valuesdeenesfrit
pin
stringpassword

The conference pin number

recordStatus
boolean

Whether conference is recorded

reportEmail
string

The email address to send conference report to

reportStatus
ConferenceReportStatusEnum

The status of the reporting

Valuescustomernoneother
roomNumber
read-only
integer

The conference room number

whiteLabelReport
boolean

True if you want to receive a white-labelled mail report of your conference

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "announceFile": true, "announceFilename": "string", "announceSoundId": 0, "anonymousRejection": true, "enterMuted": true, "eventsChannel": "string", "expirationDate": "2024-01-01T12:00:00Z", "language": "de", "pin": "string", "recordStatus": true, "reportEmail": "string", "reportStatus": "customer", "roomNumber": 0, "whiteLabelReport": true}

Update a conference roomProduction

PUT
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}

Path parameters

billingAccount
required
string

The name of your billingAccount

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Request body (required)

announceFile
boolean

Whether announce file is played before entrance

announceFilename
read-only
string

The announce file name

announceSoundId
integer

The announce sound id

anonymousRejection
boolean

Whether anonymous participants are allowed

enterMuted
boolean

Whether participants enter conference room muted

eventsChannel
read-only
string

The events channel hash

expirationDate
stringdate-time

The expiration date of the conference room.

language
ConferenceLanguageEnum

The conference sounds language

Valuesdeenesfrit
pin
stringpassword

The conference pin number

recordStatus
boolean

Whether conference is recorded

reportEmail
string

The email address to send conference report to

reportStatus
ConferenceReportStatusEnum

The status of the reporting

Valuescustomernoneother
roomNumber
read-only
integer

The conference room number

whiteLabelReport
boolean

True if you want to receive a white-labelled mail report of your conference

Response

200—successful operation

Example uses billingAccount = string, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber} \
  -H "authorization: Bearer $OVH_TOKEN"

List past conferencesProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/histories

Path parameters

billingAccount
required
string

The name of your billingAccount

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Query parameters

dateBegin.from
stringdate-time

Filter the value of dateBegin property (>=)

dateBegin.to
stringdate-time

Filter the value of dateBegin property (<=)

Response

200integer[]successful operation

Example uses billingAccount = string, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/histories \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a past conferenceProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/histories/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200ConferenceHistorysuccessful operation
countConnections
read-only
integer

The count of connections to the conference

countParticipants
read-only
integer

The count of unique participants of the conference

dateBegin
read-only
stringdate-time

The date the conference began

dateEnd
read-only
stringdate-time

The date the conference end

duration
read-only
integer

The duration of the conference in seconds

events
read-only
ConferenceHistoryEvent[]

The events of the conference (participants joining/left)

id
read-only
integer

The id of the conference history

recordUrl
read-only
string

The audio record url if you set recording

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/histories/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "countConnections": 0, "countParticipants": 0, "dateBegin": "2024-01-01T12:00:00Z", "dateEnd": "2024-01-01T12:00:00Z", "duration": 0, "events": [ { "callerid": "string", "date": "2024-01-01T12:00:00Z", "type": "string" } ], "id": 0, "recordUrl": "string"}

Lock the conference roomProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/lock

Path parameters

billingAccount
required
string

The name of your billingAccount

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/lock \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List participantsProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants

Path parameters

billingAccount
required
string

The name of your billingAccount

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a participantProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200ConferenceParticipantssuccessful operation
arrivalDateTime
read-only
stringdate-time

The arrival datetime of the participant in the conference.

callerName
read-only
string

The caller name of the participant

callerNumber
read-only
string

The caller number of the participant

energy
read-only
integer

The current level of the participant audio transmission

floor
read-only
boolean

Whether the participant is active in the room

hear
read-only
boolean

Whether the participant can hear the conference

id
read-only
integer

The id of the participant

speak
read-only
boolean

Whether the participant can talk in the conference

talking
read-only
boolean

Whether the participant is talking

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "arrivalDateTime": "2024-01-01T12:00:00Z", "callerName": "string", "callerNumber": "string", "energy": 0, "floor": true, "hear": true, "id": 0, "speak": true, "talking": true}

Deafen a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/deaf

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/deaf \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Change a participant audio levelProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/energy

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Request body (required)

value
required
integer

The value of energy level

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/energy \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Eject a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/kick

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/kick \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Mute a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/mute

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/mute \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Undeafen a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/undeaf

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/undeaf \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Unmute a participantProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/unmute

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/participants/{id}/unmute \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Unlock the conference roomProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/unlock

Path parameters

billingAccount
required
string

The name of your billingAccount

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/unlock \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List web accessesProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/webAccess

Path parameters

billingAccount
required
string

The name of your billingAccount

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/webAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a web accessProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/webAccess/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200ConferenceWebAccesssuccessful operation
id
read-only
integer

The id of the conference web access

type
read-only
ConferenceWebAccessTypeEnum

The type of the conference web access : read or write

Valuesreadwrite
url
read-only
string

The URL of the conference web access

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/webAccess/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "type": "read", "url": "string"}

Create a web accessProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/webAccess

Path parameters

billingAccount
required
string

The name of your billingAccount

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Request body (required)

type
required
ConferenceWebAccessTypeEnum

The type of the conference web access : read or write

Valuesreadwrite

Response

200ConferenceWebAccesssuccessful operation
id
read-only
integer

The id of the conference web access

type
read-only
ConferenceWebAccessTypeEnum

The type of the conference web access : read or write

Valuesreadwrite
url
read-only
string

The URL of the conference web access

Example uses billingAccount = string, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/webAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "type": "read", "url": "string"}

Delete a web accessProduction

DELETE
/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/webAccess/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

roomNumber
required
integer

The conference room number

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, roomNumber = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/rooms/{roomNumber}/webAccess/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get live room statisticsProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/roomsStats

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200ConferenceRoomsStatisticssuccessful operation
activeRoomsCount
integer

The total numbers of rooms currently active in the conference number

participantsCount
integer

The total number of unique participants in the conference number (aggregated from all rooms)

roomsCount
integer

The number of rooms available in the conference number

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/roomsStats \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activeRoomsCount": 0, "participantsCount": 0, "roomsCount": 0}

Get the conference settingsProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/settings

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200ConferencePropertiessuccessful operation
announceFile
boolean

Whether announce file is played before entrance

announceFilename
read-only
string

The announce file name

announceSoundId
integer

The announce sound id

anonymousRejection
boolean

Whether anonymous participants are allowed

enterMuted
boolean

Whether participants enter conference room muted

eventsChannel
read-only
string

The events channel hash

language
ConferenceLanguageEnum

The conference sounds language

Valuesdeenesfrit
pin
stringpassword

The conference pin number

recordStatus
boolean

Whether conference is recorded

reportEmail
string

The email address to send conference report to

reportStatus
ConferenceReportStatusEnum

The status of the reporting

Valuescustomernoneother
roomNumber
read-only
integer

The conference room number

whiteLabelReport
boolean

True if you want to receive a white-labelled mail report of your conference

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/settings \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "announceFile": true, "announceFilename": "string", "announceSoundId": 0, "anonymousRejection": true, "enterMuted": true, "eventsChannel": "string", "language": "de", "pin": "string", "recordStatus": true, "reportEmail": "string", "reportStatus": "customer", "roomNumber": 0, "whiteLabelReport": true}

Update the conference settingsProduction

PUT
/1.0/telephony/{billingAccount}/conference/{serviceName}/settings

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

announceFile
boolean

Whether announce file is played before entrance

announceFilename
read-only
string

The announce file name

announceSoundId
integer

The announce sound id

anonymousRejection
boolean

Whether anonymous participants are allowed

enterMuted
boolean

Whether participants enter conference room muted

eventsChannel
read-only
string

The events channel hash

language
ConferenceLanguageEnum

The conference sounds language

Valuesdeenesfrit
pin
stringpassword

The conference pin number

recordStatus
boolean

Whether conference is recorded

reportEmail
string

The email address to send conference report to

reportStatus
ConferenceReportStatusEnum

The status of the reporting

Valuescustomernoneother
roomNumber
read-only
integer

The conference room number

whiteLabelReport
boolean

True if you want to receive a white-labelled mail report of your conference

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/settings \
  -H "authorization: Bearer $OVH_TOKEN"

Unlock the conference roomProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/unlock

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/unlock \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List web accessesProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/webAccess

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/webAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a web accessProduction

GET
/1.0/telephony/{billingAccount}/conference/{serviceName}/webAccess/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200ConferenceWebAccesssuccessful operation
id
read-only
integer

The id of the conference web access

type
read-only
ConferenceWebAccessTypeEnum

The type of the conference web access : read or write

Valuesreadwrite
url
read-only
string

The URL of the conference web access

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/webAccess/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "type": "read", "url": "string"}

Create a web accessProduction

POST
/1.0/telephony/{billingAccount}/conference/{serviceName}/webAccess

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

type
required
ConferenceWebAccessTypeEnum

The type of the conference web access : read or write

Valuesreadwrite

Response

200ConferenceWebAccesssuccessful operation
id
read-only
integer

The id of the conference web access

type
read-only
ConferenceWebAccessTypeEnum

The type of the conference web access : read or write

Valuesreadwrite
url
read-only
string

The URL of the conference web access

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/webAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "type": "read", "url": "string"}

Delete a web accessProduction

DELETE
/1.0/telephony/{billingAccount}/conference/{serviceName}/webAccess/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/conference/{serviceName}/webAccess/{id} \
  -H "authorization: Bearer $OVH_TOKEN"